Forum Xamarin.Android

Errors during compile time when using the cardview package in my app

After reading the xamarin resource for integrating the new card view that ships with the new android 5.0 lolipop. Wheni downloaded the package from nuget and included it into my app,i get the following build errors
`Error 1 Unzipping failed. Please download https://dl-ssl.google.com/android/repository/android_m2repository_r16.zip and extract it to the C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\content directory. TradeSalem
Error 2 Reason: C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\android_m2repository_r16.zip is not a valid zip file TradeSalem
Error 3 Please install package: 'Xamarin.Android.Support.v7.CardView' available in SDK installer. Java library file C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\embedded\classes.jar doesn't exist. TradeSalem
Error 4 Unzipping failed. Please download https://dl-ssl.google.com/android/repository/android_m2repository_r16.zip and extract it to the C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\content directory. TradeSalem
Error 5 Reason: C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\android_m2repository_r16.zip is not a valid zip file TradeSalem
Error 6 Please install package: 'Xamarin.Android.Support.v7.CardView' available in SDK installer. Android resource directory C:\Users\Jaytee\AppData\Local\Xamarin\Android.Support.v7.CardView\22.2.1\embedded./ doesn't exist. TradeSalem

`

Please note i have tried cleaning and rebuilding the project.
My projects configuration are as follows
-Compile using Android Version: Api level 21
-minimum android to target - Api 15
-Target android version - Api21

Do you guys think it is from my xamarin installation?

Answers

Sign In or Register to comment.